Skip to main content
GET
/
fleet
/
equipment
/
locations
/
history
Get historical equipment locations
curl --request GET \
  --url https://api.samsara.com/fleet/equipment/locations/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "112",
      "locations": [
        {
          "latitude": 122.142,
          "longitude": -93.343,
          "time": "2020-01-27T07:06:25Z",
          "heading": 120,
          "speed": 48.3
        }
      ],
      "name": "Crane A7"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

parentTagIds
string[]

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string[]

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

equipmentIds
string[]

A filter on the data based on this comma-separated list of equipment IDs. Example: equipmentIds=1234,5678

Response

Historical equipment locations and pagination information

A time-series of equipment locations and pagination information

data
object[]
required

Time-series of locations for the specified units of equipment.

pagination
object
required

Pagination parameters.